File: changelog

package info (click to toggle)
maven-enforcer 3.0.0~M2-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid
  • size: 1,968 kB
  • sloc: java: 9,344; xml: 4,111; sh: 3; makefile: 2
file content (90 lines) | stat: -rw-r--r-- 2,881 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
maven-enforcer (3.0.0~M2-1) unstable; urgency=medium

  * Team upload.

  [ Geert Stappers ]
  * VCS now at Salsa

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patch
  * Fixed the build failure with maven-dependency-tree 3.0 (Closes: #880888)
  * Modified debian/watch to mangle the milestone versions
  * Use XZ compression for the upstream tarball
  * Track and download the new releases from GitHub
  * Standards-Version updated to 4.2.1
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Oct 2018 02:24:00 +0200

maven-enforcer (1.4.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patch
    - Depend on libmaven3-core-java instead of libmaven2-core-java
    - Removed the build dependency on libplexus-maven-plugin-java
  * Depend on libplexus-container-default1.5-java
    instead of libplexus-container-default-java

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 28 Jul 2017 16:32:06 +0200

maven-enforcer (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Add tony mancill <tmancill@debian.org> to Uploaders.
  * Remove Gabriele Giacone from Uploaders (Closes: #856766)
  * Add missing build-dep on libhamcrest-java (Closes: #866561)
  * Bump Standards-Version to 4.0.0
  * Update Homepage to use https URL

 -- tony mancill <tmancill@debian.org>  Sat, 01 Jul 2017 11:17:47 -0700

maven-enforcer (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Add maven-plugin-tools-dependency-version.patch and fix FTBFS due to
    missing dependency version. (Closes: #841197)

 -- Markus Koschany <apo@debian.org>  Tue, 18 Oct 2016 17:12:02 +0200

maven-enforcer (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.4.1.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 3.9.8.
  * Use canonical Vcs-URI and https.
  * Add libjsr305-java to Build-Depends.
    Ignore mockito and more test build-dependencies.
  * Ignore org.apache.rat:apache-rat-plugin
  * Update debian/copyright and use format 1.0.

 -- Markus Koschany <apo@debian.org>  Mon, 10 Oct 2016 21:26:48 +0200

maven-enforcer (1.0.1-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Emmanuel Bourg ]
  * Standards-Version updated to 3.9.7 (no changes)
  * Switch to debhelper level 9
  * Build with the DH sequencer instead of CDBS
  * Ignore the dependency on maven-site-plugin and cobertura-maven-plugin

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Feb 2016 00:44:49 +0100

maven-enforcer (1.0-1) unstable; urgency=low

  * Team upload
  * New upstream release.
  * Add more Build-Depends.

 -- Torsten Werner <twerner@debian.org>  Mon, 12 Sep 2011 22:30:16 +0200

maven-enforcer (1.0~beta2-1) unstable; urgency=low

  * Initial release (Closes: #570673)

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 01 Mar 2010 02:28:06 +0100